### Virtual Method

# Fwupd Codec add_variant

#### Declaration [src]

    void
    add_variant (
      FwupdCodec* self,
      GVariantBuilder* builder,
      FwupdCodecFlags flags
    )

#### Description

No description available.

#### Parameters

`builder`

  Type: `GVariantBuilder`

  No description available.

  The data is owned by the caller of the method.

`flags`

  Type: `FwupdCodecFlags`

  No description available.